<?php

/* * ********************************************************************
  Copyright (C) FrontAccounting, LLC.
  Released under the terms of the GNU General Public License, GPL,
  as published by the Free Software Foundation, either version 3
  of the License, or (at your option) any later version.
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  See the License here <http://www.gnu.org/licenses/gpl-3.0.html>.
 * ********************************************************************* */

$page_security = 'SA_DASHBOARD_TRANSPORT_VIEW'; // A very low access level. The real access level is inside the routines.
$path_to_root = "..";

include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/reporting/includes/class.graphic.inc");
include_once($path_to_root . "/includes/dashboard.inc"); // here are all the dashboard routines.
include_once($path_to_root . "/admin/db/list_values_db.inc");
include_once($path_to_root . "/admin/db/months_db.inc");
include_once($path_to_root . "/includes/ui/ui_lists_custom.inc");
include_once($path_to_root . "/includes/ui/ui_lists.inc");
include_once($path_to_root . "/dashboard/includes/ui/dashboard_ui.inc");
include_once($path_to_root . "/dashboard/includes/db/dashboard_db.inc");
include_once($path_to_root . "/dashboard/includes/ui/dashboard_transport_view_ui.inc"); 


global $Ajax;

$js = "";
$js .= get_js_open_window(800, 500);

page(_($help_context = "Dashboard Transport View"), false, false, "", $js);

$Ajax->activate('level0');

start_form('level0');
    
    display_dashboard_transport_filtering_parameters();
    
    $Ajax->activate('display_detailss');
    div_start('display_detailss');
        if (isset($_POST['DashboardPurch'])) {
            display_dashboard_transport_view();
        }
    div_end();
            
end_form();

end_page();

?>